lkml.org 
[lkml]   [2021]   [Jul]   [1]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
Subject[PATCH 0/3] gve: Fixes and clean-up
Date
This serie is part of the effort to axe the wrappers in
include/linux/pci-dma-compat.h

While looking at it, I spotted:
- a resource leak in an error handling path (patch 1)
- an error code that could be propagated. (patch 2)
This patch could be ignored. It's only goal is to be more consistent
with other drivers.

These 2 paches are not related to the 'pci-dma-compat.h' stuff, which can
be found in patch 3.

Christophe JAILLET (3):
gve: Fix an error handling path in 'gve_probe()'
gve: Propagate error codes to caller
gve: Simplify code and axe the use of a deprecated API

drivers/net/ethernet/google/gve/gve_main.c | 19 ++++++++-----------
1 file changed, 8 insertions(+), 11 deletions(-)

--
2.30.2

\
 
 \ /
  Last update: 2021-07-01 07:59    [W:0.060 / U:0.132 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site